# Halftone Class Reference

`#include <halftone.h>`

List of all members.

## Public Member Functions

float | mask (synfig::Point point) const
float | operator() (const synfig::Point &point, const float &intensity, float supersample=0) const

## Public Attributes

int | type
synfig::Point | origin
synfig::Vector | size
synfig::Angle | angle

## Member Function Documentation

float Halftone::mask | ( | synfig::Point | point | ) | const

References std::abs(), angle, f, synfig::Vector::mag(), origin, size, SQRT2, type, TYPE_DARKONLIGHT, TYPE_DIAMOND, TYPE_LIGHTONDARK, TYPE_STRIPE, and TYPE_SYMMETRIC.

Referenced by operator()().

float Halftone::operator() | ( | const synfig::Point & | point,
|  | const float & | intensity,
|  | float | supersample = `0` |
| ) |  |  | const

References f, and mask().

## Member Data Documentation

int Halftone::type

Referenced by Halftone2::get_param(), Halftone2::Halftone2(), Halftone3::Halftone3(), mask(), Halftone3::set_param(), and Halftone2::set_param().

synfig::Point Halftone::origin

Referenced by Halftone2::get_param(), Halftone2::Halftone2(), Halftone3::Halftone3(), mask(), and Halftone2::set_param().

synfig::Vector Halftone::size

Referenced by Halftone2::accelerated_render(), Halftone2::get_param(), Halftone2::Halftone2(), Halftone3::Halftone3(), mask(), Halftone3::set_param(), and Halftone2::set_param().

synfig::Angle Halftone::angle

Referenced by Halftone2::get_param(), Halftone2::Halftone2(), Halftone3::Halftone3(), mask(), and Halftone2::set_param().

The documentation for this class was generated from the following files:

- halftone.h
- halftone.cpp